Quad-Based Perspective Transform
Perspective Transform

Transforms (warps) an image based on an perspective transform. More...

## Functions

NppStatus | nppiWarpPerspectiveQuad_8u_C1R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Single-channel 8-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_8u_C3R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel 8-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_8u_C4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 8-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_8u_AC4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 8-bit unsigned integer quad-based perspective warp, ignoring alpha channel. More...
NppStatus | nppiWarpPerspectiveQuad_8u_P3R (const Npp8u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel planar 8-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_8u_P4R (const Npp8u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp8u *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel planar 8-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_16u_C1R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Single-channel 16-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_16u_C3R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel 16-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_16u_C4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 16-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_16u_AC4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 16-bit unsigned integer quad-based perspective warp, ignoring alpha channel. More...
NppStatus | nppiWarpPerspectiveQuad_16u_P3R (const Npp16u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel planar 16-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_16u_P4R (const Npp16u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp16u *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel planar 16-bit unsigned integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32s_C1R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Single-channel 32-bit signed integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32s_C3R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel 32-bit signed integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32s_C4R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 32-bit signed integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32s_AC4R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 32-bit signed integer quad-based perspective warp, ignoring alpha channel. More...
NppStatus | nppiWarpPerspectiveQuad_32s_P3R (const Npp32s *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel planar 32-bit signed integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32s_P4R (const Npp32s *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32s *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel planar 32-bit signed integer quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32f_C1R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Single-channel 32-bit floating-point quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32f_C3R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel 32-bit floating-point quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32f_C4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 32-bit floating-point quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32f_AC4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel 32-bit floating-point quad-based perspective warp, ignoring alpha channel. More...
NppStatus | nppiWarpPerspectiveQuad_32f_P3R (const Npp32f *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst[3], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Three-channel planar 32-bit floating-point quad-based perspective warp. More...
NppStatus | nppiWarpPerspectiveQuad_32f_P4R (const Npp32f *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, const double aSrcQuad[4][2], Npp32f *pDst[4], int nDstStep, NppiRect oDstROI, const double aDstQuad[4][2], int eInterpolation)
| Four-channel planar 32-bit floating-point quad-based perspective warp. More...

## Detailed Description

Transforms (warps) an image based on an perspective transform.

The perspective transform is computed such that it maps a quadrilateral in source image space to a quadrilateral in destination image space.

### Common parameters for nppiWarpPerspectiveQuad packed pixel functions include:

Parameters

  pSrc | Source-Image Pointer.
  oSrcSize | Size of source image in pixels.
  nSrcStep | Source-Image Line Step.
  oSrcROI | Source ROI.
  aSrcQuad | Source quad.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstROI | Destination ROI.
  aDstQuad | Destination quad.
  eInterpolation | Interpolation mode: can be NPPI_INTER_NN, NPPI_INTER_LINEAR or NPPI_INTER_CUBIC.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Perspective Transform Error Codes

### Common parameters for nppiWarpPerspectiveQuad planar pixel functions include:

Parameters

  pSrc | Source-Planar-Image Pointer Array (host memory array containing device memory image plane pointers).
  oSrcSize | Size of source image in pixels.
  nSrcStep | Source-Image Line Step.
  oSrcROI | Source ROI.
  aSrcQuad | Source quad.
  pDst | Destination-Planar-Image Pointer Array (host memory array containing device memory image plane pointers).
  nDstStep | Destination-Image Line Step.
  oDstROI | Destination ROI.
  aDstQuad | Destination quad.
  eInterpolation | Interpolation mode: can be NPPI_INTER_NN, NPPI_INTER_LINEAR or NPPI_INTER_CUBIC.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Perspective Transform Error Codes

## Function Documentation

NppStatus nppiWarpPerspectiveQuad_16u_AC4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 16-bit unsigned integer quad-based perspective warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_16u_C1R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Single-channel 16-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_16u_C3R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel 16-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_16u_C4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 16-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_16u_P3R | ( | const Npp16u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel planar 16-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_16u_P4R | ( | const Npp16u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel planar 16-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_32f_AC4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 32-bit floating-point quad-based perspective warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32f_C1R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Single-channel 32-bit floating-point quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32f_C3R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel 32-bit floating-point quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32f_C4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 32-bit floating-point quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32f_P3R | ( | const Npp32f * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel planar 32-bit floating-point quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_32f_P4R | ( | const Npp32f * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel planar 32-bit floating-point quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_32s_AC4R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 32-bit signed integer quad-based perspective warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32s_C1R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Single-channel 32-bit signed integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32s_C3R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel 32-bit signed integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32s_C4R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 32-bit signed integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_32s_P3R | ( | const Npp32s * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel planar 32-bit signed integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_32s_P4R | ( | const Npp32s * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp32s * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel planar 32-bit signed integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_8u_AC4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 8-bit unsigned integer quad-based perspective warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_8u_C1R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Single-channel 8-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_8u_C3R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel 8-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_8u_C4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel 8-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad packed pixel functions.

NppStatus nppiWarpPerspectiveQuad_8u_P3R | ( | const Npp8u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Three-channel planar 8-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

NppStatus nppiWarpPerspectiveQuad_8u_P4R | ( | const Npp8u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | const double | aSrcQuad[4][2],
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aDstQuad[4][2],
|  | int | eInterpolation
| ) |  |

Four-channel planar 8-bit unsigned integer quad-based perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveQuad planar pixel functions.

Copyright © 2009-2017 NVIDIA Corporation